Skip to Content
Enderdash

Update Game O Auth Client

POST
/organizations/updateGameOAuthClient

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
name*string
Length1 <= length <= 80
redirectUris*array<>
Items1 <= items <= 16
verifierScope*string
Value in"organization""selected_servers"
verifierServerIds*array<>
Itemsitems <= 64
clientId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
enabled*boolean

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/organizations/updateGameOAuthClient' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "redirectUris": [
    "http://example.com"
  ],
  "verifierScope": "organization",
  "verifierServerIds": [
    "53d6cad2-9403-4c46-94c8-fbcbbe2903f6"
  ],
  "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
  "enabled": true
}'
Example Response
Empty